This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 123219 - rpm -V indicates Unsatisfied depedency
rpm -V indicates Unsatisfied depedency
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-13 17:59 EDT by Mark Hatle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-07 08:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hatle 2004-05-13 17:59:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.3) Gecko/20030313

Description of problem:
When running rpm -V on certain packages, you get an Unsatisfied
dependency error/warning.

However, the depedency IS satisfied.

RPM version 4.2 (as shipped on RH 9) does not contain this problem.
RPM version 4.2.1 in the cvs repository has the problem.  The problem
was tracked down to revision 2.50 of the file rpmdb/rpmds.c

Version-Release number of selected component (if applicable):
4.3.1-0.3

How reproducible:
Always

Steps to Reproduce:
1.run rpm -V -a
2.watch for "unsatisfied dependency messages"
3.verify the dependency is satisfied
    

Actual Results:  I get unsatisfied dependency messages

Expected Results:  No such message

Additional info:

Chunk of output from -V -a on RPM 4.2 (RH 9):

missing  c /etc/default/useradd
S.5....T c /etc/xml/catalog
S.5....T c /usr/share/sgml/docbook/xmlcatalog
.M......   /dev/shm

Same chunk of output from the same command, same database on RPM 4.2.1
(from CVS) [and RPM 4.3.1 from fedora]

missing  c /etc/default/useradd
S.5....T  c /etc/xml/catalog
S.5....T  c /usr/share/sgml/docbook/xmlcatalog
Unsatisfied dependencies for esound-devel-0.2.28-4: esound = 0.2.28
.M......    /dev/shm
Comment 1 Jeff Johnson 2004-06-07 08:29:45 EDT
Yup, missing epoch's are equivalent to Epoch: 0 in rpm-4.2.1
and later.

See the complete set of dependencies that need fixing with
    rpm -Vav

Note You need to log in before you can comment on or make changes to this bug.